
Redmine - Patch #7895

Git, Mercurial: Allow source links using a tag in addition to revision hashes

2011-03-16 22:51 - Shane Corgatelli

Status: New Start date: 2011-03-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

Loosens up the regex for the revision specifier in source links to allow for linking to git tags. Basically allows all word characters, '.'

and '-'. This allows me do do something like:

released in source:@v1.26.2

 Patch is based off 1.0.1.

History

#1 - 2011-03-17 05:37 - Toshi MARUYAMA

- Tracker changed from Defect to Patch

- Category changed from Text formatting to SCM

#2 - 2011-03-17 05:38 - Toshi MARUYAMA

- Subject changed from Allow source links using a git tag in addition to revision hashes to Git, Mercurial: Allow source links using a tag in addition to

revision hashes

Files

source_tag_links.patch 727 Bytes 2011-03-16 Shane Corgatelli
